% Function calculating second order transfer functions for the different 
% cases
% Written by: Martin S. Foss, fall 2012
function gp = model(caseNumber)

s=tf('s');
tau1 = 1;

switch caseNumber
    case 1  
        tau2 = 0.5*tau1;
        theta = 1;        
        
    case 2  
        tau2 = 0.8*tau1;
        theta = 1;  
        
    case 3  
        tau2 = 0.3*tau1;
        theta = 1;          
         
    case 4  
        tau2 = 0.5*tau1;
        theta = tau2/1.5;
        
    case 5  
        tau2 = 0.8*tau1;
        theta = tau2/1.5;
        
    case 6 
        tau2 = 0.3*tau1;
        theta = tau2/1.5;
        
    case 7
        tau2 = 0.5*tau1;
        theta = tau2/2;
        
    case 8
        tau2 = 0.8*tau1;
        theta = tau2/2;
        
    case 9 
        tau2 = 0.3*tau1;
        theta = tau2/2;
end

gp = 1/((tau1*s+1)*(tau2*s+1));
gp.outputd = theta;