function gp = modelPI(caseNumber)

s=tf('s');
tau1 = 1;

switch caseNumber
    case 1  %tau2/tau1 = 0.5
        tau2 = 0.5*tau1;
        theta = 1;
        
    case 2  %tau2/tau1 = 0.8
        tau2 = 0.8*tau1;
        theta = 1;
        
    case 3  %tau2/tau1 = 0.2
        tau2 = 0.2*tau1;
        theta = 1;
               
    case 4  %tau2/tau1 = 0.5, tau2 > tetta
        tau2 = 0.5*tau1;
        theta = tau2/1.5;
         
    case 5
        tau2 = 0.8*tau1;
        theta = tau2/1.5;
        
    case 6
        tau2 = 0.2*tau1;
        theta = tau2/1.5;
        
    case 7
        tau2 = 0.5*tau1;
        theta = tau2/2;
        
    case 8
        tau2 = 0.8*tau1;
        theta = tau2/2;
        
    case 9 
        tau2 = 0.2*tau1;
        theta = tau2/2;
end

Tau1 = tau1 + 0.5*tau2;
Theta = theta + 0.5*tau2;
 
gp = 1/(Tau1*s+1);
gp.outputd = Theta;
