clear all

gp = model(1);
i = 1;
d = 1:0.1:3.6;
c = 2.7;
for t = d ;
[tuning, mdetGc] = mdet(gp,c,t);
msMdet(i) = ms(gp,mdetGc);
tuningMdet(i,:)=tuning';
[tuning, simcImpGc] = simcImp(gp,c,t);
msSimcImp(i) = ms(gp,simcImpGc);
tuningSimcImp(i,:)=tuning';
i = i +1;
end
%%
figure(5)
res=[d',msMdet', tuningMdet,msSimcImp',tuningSimcImp];
subplot(2,1,1)
plot(msMdet,tuningMdet(:,1),'-x',msSimcImp,tuningSimcImp(:,1),'-o')
    legend('SIMC','delta tuning')
ylabel('K')
xlabel('M_s')
title(['c=',num2str(c)])
subplot(2,1,2)
plot(msMdet,tuningMdet(:,2),'-x',msSimcImp,tuningSimcImp(:,2),'-o')
xlabel('M_s')
ylabel('I := k/\tau_i')